gratifiant > linux.debian.user.french

Vincent Régnard (24/06/2004, 12h20)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Salut,

J'essaie de mettre à jour ma sarge et je rencontre un petit probleme à
l'installation du paquet xscreensaver:

- ---
gazelle:~# apt-get -t testing install xscreensaver xscreensaver-gl
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
libglade2-0 libgtk2.0-0 libgtk2.0-bin libxcursor1
Suggested packages:
qcam streamer
Recommended packages:
xli xloadimage
The following packages will be REMOVED:
librsvg2-common
The following NEW packages will be installed:
libgtk2.0-bin libxcursor1
The following packages will be upgraded:
libglade2-0 libgtk2.0-0 xscreensaver xscreensaver-gl
4 upgraded, 2 newly installed, 1 to remove and 10 not upgraded.
Need to get 0B/8290kB of archives.
After unpacking 931kB of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 107022 files and directories currently installed.)
Removing librsvg2-common ...
/var/lib/dpkg/info/librsvg2-common.postrm: line 6:
/usr/sbin/update-gdkpixbuf-loaders: No such file or directory dpkg:
error processing librsvg2-common (--remove): subprocess post-removal
script returned error exit status 1 Errors were encountered while
processing: librsvg2-common
E: Sub-process /usr/bin/dpkg returned an error code (1)
- ---

le fichier /usr/sbin/update-gdkpixbuf-loaders étant manquant.
un apt-file search m'indique que ce dernier se trouve dans le paquet
libgtk2.0-bin que je m'empresse d'installer mais le meme message
d'erreur me bloque:

- ---
apt-get -t testing install /usr/sbin/update-gdkpixbuf-loaders
Reading Package Lists... Done
Building Dependency Tree... Done
E: Couldn't find package
gazelle:~# apt-get -t testing install libgtk2.0-bin
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
libgtk2.0-0 libxcursor1
The following packages will be REMOVED:
librsvg2-common
The following NEW packages will be installed:
libgtk2.0-bin libxcursor1
The following packages will be upgraded:
libgtk2.0-0
1 upgraded, 2 newly installed, 1 to remove and 13 not upgraded.
Need to get 0B/2082kB of archives.
After unpacking 624kB of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 107022 files and directories currently installed.)
Removing librsvg2-common ...
/var/lib/dpkg/info/librsvg2-common.postrm: line 6:
/usr/sbin/update-gdkpixbuf-loaders: No such file or directory dpkg:
error processing librsvg2-common (--remove): subprocess post-removal
script returned error exit status 1 Errors were encountered while
processing: librsvg2-common
E: Sub-process /usr/bin/dpkg returned an error code (1)

- -----
Je ne sais plus à quel saint m'en remettre, pouriez vous me donner une
piste d'intervention qui me permette de résoudre ce petit malaise.

Merci de votre aide

- --
Vincent Régnard
ID :
récupérer ma clef GPG:
gpg --keyserver pgp.mit.edu --recv-keys 0xE8F3ED1E
Raphaël 'SurcouF' Bordet (24/06/2004, 14h40)
Le jeu, 24/06/2004 à 12:19 +0200, Vincent Régnard a écrit :

> J'essaie de mettre à jour ma sarge et je rencontre un petit probleme à
> l'installation du paquet xscreensaver:


[...]

> le fichier /usr/sbin/update-gdkpixbuf-loaders étant manquant.
> un apt-file search m'indique que ce dernier se trouve dans le paquet
> libgtk2.0-bin que je m'empresse d'installer mais le meme message
> d'erreur me bloque:
> - ---
> apt-get -t testing install /usr/sbin/update-gdkpixbuf-loaders


C'est un peu normal: je ne sais pas où tu as vu qu'on installait
directement des fichiers... Je pense qu'il s'agit d'une erreur
d'inattention de ta part et que tu voulais dire: libgtk2.0-common (on ne
doit pas avoir le même apt-file, parce qu'on n'a pas le même paquet).

Autre chose qui m'étonne, c'est la dépendance du paquet librsvg2-common
avec notamment les paquets libgtk2.0-bin et libgtk2.0-common...
Par quelle funeste manipulation as-tu pu perdre ce fichier ?
Abred (24/06/2004, 15h00)
Bonjour,

As-tu essayé de seulement télécharger le paquet (apt-get -d ) et de
l'installer par:

#dpkg -i --force-confmiss <package name>

--force-confmiss : "Always install missing config file".

Yann

On Thu, 2004-06-24 at 14:35, Raphaël 'SurcouF' Bordet wrote:
[..]
Leandro Guimaraens Faria Corsetti Dutra (24/06/2004, 16h20)
Em Thu, 24 Jun 2004 12:20:07 +0200, Vincent Régnard escreveu:

> le fichier /usr/sbin/update-gdkpixbuf-loaders étant manquant.
> un apt-file search m'indique que ce dernier se trouve dans le paquet
> libgtk2.0-bin que je m'empresse d'installer mais le meme message
> d'erreur me bloque:


Mais est-il là ou non?
Discussions similaires